bgcd.net
当前位置:首页 >> jquEry3 >>

jquEry3

2.0不再支持IE6/7/8, 调用上无区别, 兼容1.9的API, 内核发生了变化. 1.x分支会继续发展下去.

最新的向下兼容性不好,新的不一定就真的是实用的

jquery2.x版本与1.x版本差别最大的就是浏览器兼容性问题 JQuery2.x已经不支持IE低版本浏览器,如IE6、7、8 其他的API用法差不多,如果项目只需要支持高版本浏览器,可以使用2.x,否则只能使用1.x

新增功能;修改,优化功能;以及可能的淘汰不合时宜的功能;

就是版本,可能你写JQ的时候用了一个版本3中的方法, 然后你引入的是版本1的JQ ,这时候会报错, 因为在JQ的版本1中 还没有这个方法。

可以 1 jQuery可以实现目前已知的所有js效果。 2 可以直接入手,但是对javascipt原始代码不熟悉的话在以后会成为瓶颈。因为面向对象、闭包、原型这些东西不管你用什么库都是一样的。在自己写jQuery插件时你就必须回去学习javascript的基础了。 ...

要兼容ie6,7,8,9的就用1.x版本 不用兼容的话,你可以使用最新版

jQuery v1.7版以后就将live方法升级成了on方法,可以使用on方法来实现live绑定的效果。 定义和用法 on() 方法在被选元素及子元素上添加一个或多个事件处理程序。 自 jQuery 版本 1.7 起,on() 方法是 bind()、live() 和 delegate() 方法的新的替...

设计风格角度 免去一些不必要的设计烦恼是前端程序员选择前端开发框架的重要原因之一,按钮、字体、导航栏、登录框等等元素在Bootstrap中都有对应的样式可以采用。 所以如果你是喜欢渐变凹凸风格的,就可以选择采用Bootstrap2来进行开发;反之,...

假设这个区域: var timer = setTimeout(function(){ $("#div1").mouseover(function(){ //执行方法 }); }, 3000);

网站首页 | 网站地图
All rights reserved Powered by www.bgcd.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com